cURL
curl --request GET \
--url https://sandbox.zapyd.com/pos/api/v1/prefunded/payout/quotation/{quotation_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/pos/api/v1/prefunded/payout/quotation/{quotation_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/pos/api/v1/prefunded/payout/quotation/{quotation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"id": "59bf60c3-e9af-40a7-9d5c-2a1aa191e769",
"order_id": "ORD123456",
"customer_id": "84737c7d-7b62-4204-80d6-80f6ecb3ceb4",
"bank_id": "cab47575-bbcb-4294-81a3-30774104f3b6",
"status": "ACTIVE",
"asset": "USDT",
"fiat": "INR",
"network": "tron",
"sending_amount": "60.00",
"rate": "85.00",
"receiving_amount": "5100.00",
"fees": {
"zapyd_fee": "0.00",
"client_fee": "0.00",
"client_gst": "0.00",
"tds": "0"
},
"wallet_address": "TXqH4MnDw46f3yyrRwau3JF92Y1ie3pAXf",
"created_at": "2026-09-30T10:00:00Z",
"expiry_time": "2026-09-30T10:10:00Z"
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"quotation_id": [
"quotation_id is invalid"
]
},
"data": null
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Prefunded payouts
Fetch Quotation
Returns a prefunded payout quotation by ID.
GET
/
pos
/
api
/
v1
/
prefunded
/
payout
/
quotation
/
{quotation_id}
cURL
Fetch Quotation
Prefunded payouts are available only to organizations with a prefunded wallet. Check your balance with Fetch Balance.
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
The unique identifier of the quotation
Example:
"2e104290-07c8-49f1-a5ca-0d27f0078f8a"
⌘I